package com.rjconsultores.ventaboletos.web.utilerias.render;

import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.ConvenioCampanhaEmpresa;

public class RenderCampanhaEmpresa  implements ListitemRenderer {

	@Override
	public void render(Listitem lstm, Object selectedObject) throws Exception {
		
		Listcell lc = new Listcell();
		
		if(selectedObject != null) {
			ConvenioCampanhaEmpresa convenioCampanhaEmpresa = (ConvenioCampanhaEmpresa) selectedObject;
			
			lc = new Listcell(convenioCampanhaEmpresa.getEmpresa() != null ? convenioCampanhaEmpresa.getEmpresa().getNombempresa() : "");
    		lc.setParent(lstm);
    		lstm.setAttribute("data", convenioCampanhaEmpresa);			
		}
	}
}